<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;
use \WCStepFilter\Filter;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

$arguments = Core::getTemplatePartArgs([
    'nextButtonText' => Filter::getSetting($id, 'next_button_text'),
    'nextButtonClass' => Filter::getSetting($id, 'next_button_class'),
    'nextStepId' => null,
    'step' => null
]);
?>
<button class="btn wcsf-control is-next wcsf-next <?php echo esc_attr($arguments['nextButtonClass']); ?>"
    type="submit" name="stepId" value="<?php echo esc_attr($arguments['nextStepId']); ?>"
    data-component="wcsf-submit-and-go-next"
    data-id="<?php echo esc_attr($arguments['step']->id); ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['nextButtonText']); ?>
        <!--spacer-->
    </span></button><!--spacer-->
