<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Filter;
use \WCStepFilter\Core;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

$arguments = Core::getTemplatePartArgs([
    'resetButtonText' => Filter::getSetting($id, 'reset_button_text'),
    'resetButtonClass' => Filter::getSetting($id, 'reset_button_class'),
    'resetUrl' => Filter::getResetUrl($id),
    'resultsUrl' => Filter::getSetting($id, 'results_url')
]);
?>
<a href="<?php echo esc_url($arguments['resetUrl']); ?>"
    class="btn wcsf-control is-reset wcsf-reset <?php echo esc_attr($arguments['resetButtonClass']); ?>"
    data-component="<?php echo $arguments['resultsUrl'] == '#' ? 'none' : 'wcsf-reset'; ?>"
    role="button"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resetButtonText']); ?>
        <!--spacer-->
    </span></a><!--spacer-->
