<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Core;
use \WCStepFilter\Filter;

$arguments = Core::getTemplatePartArgs([
    'id' => $id,
    'resultsPdfButtonText' => Filter::getSetting($id, 'results_pdf_button_text'),
    'resultsPdfButtonClass' => Filter::getSetting($id, 'results_pdf_button_class')
]);
?>
<a class="btn wcsf-control is-results-pdf <?php echo esc_attr($arguments['resultsPdfButtonClass']); ?>"
    href="?wcsf-results-pdf=<?php echo esc_attr($arguments['id']); ?>"
    target="_blank"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resultsPdfButtonText']); ?>
        <!--spacer-->
    </span></a><!--spacer-->
