<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Filter;
use \WCStepFilter\Core;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

$arguments = Core::getTemplatePartArgs([
    'id' => $id,
    'resultsButtonText' => Filter::getSetting($id, 'results_button_text'),
    'resultsButtonClass' => Filter::getSetting($id, 'results_button_class'),
    'showResultsWithin' => Filter::getSetting($id, 'show_results_within')
]);
?>
<button class="btn wcsf-control is-results wcsf-results <?php echo esc_html($arguments['resultsButtonClass']); ?>"
    type="submit" name="results" value="<?php echo esc_attr($arguments['id']); ?>"
    data-component="wcsf-results<?php echo $arguments['showResultsWithin'] ? ' wcsf-submit-and-go-to' : ''; ?>"
    data-id="results"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resultsButtonText']); ?>
        <!--spacer-->
    </span></button><!--spacer-->
