<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;

$arguments = Core::getTemplatePartArgs([
    'question' => null,
    'fields' => []
]);
?>
<ul class="wcsf-fields-list is-button-radio form-group">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="wcsf-field is-button-radio<?php
            echo esc_attr(' is-value-' . str_replace(' ', '-', $field->value) . ($field->disabled ? ' disabled' : ''));
            ?>">
            <label class="wcsf-field-label">
                <input type="radio"
                    class="wcsf-field-input"
                    required
                    data-component="<?php echo esc_attr($field->component); ?>"
                    name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
                    value="<?php echo esc_attr($field->value); ?>"
                    <?php
                    echo $field->checked ? ' checked ' : '';
                    echo $field->disabled ? ' disabled ' : '';
                    ?>>
                <span class="wcsf-field-name btn btn-secondary btn-lg btn-block"><?php
                    echo wp_kses_post($field->name);

                    if (isset($field->count)) {
                        echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                    }
                    ?></span>
            </label>
            <?php
            if (isset($field->children) && !empty($field->children)) {
                Core::getTemplatePart(
                    'fields/radio',
                    array_replace($arguments, ['fields' => $field->children])
                );
            }
            ?>
        </li>
    <?php } ?>
</ul>
