<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;

$arguments = Core::getTemplatePartArgs([
    'question' => null,
    'fields' => []
]);

foreach ($arguments['fields'] as $field) {
    ?>
    <figure class="wcsf-field is-image-radio<?php
        echo esc_attr(' is-value-' . str_replace(' ', '-', $field->value) . ($field->disabled ? ' disabled' : ''));
        ?>">
        <label class="wcsf-field-label">
            <input type="radio"
                class="wcsf-field-input"
                required
                data-component="<?php echo esc_attr($field->component); ?>"
                name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
                value="<?php echo esc_attr($field->value); ?>"
                <?php
                echo $field->checked ? ' checked ' : '';
                echo $field->disabled ? ' disabled ' : '';
                ?>>
            <?php
            echo $field->thumbnail
                ? wp_get_attachment_image(
                    $field->thumbnail,
                    $arguments['question']->thumbnailSize,
                    false,
                    ['class' => 'wcsf-field-thumbnail']
                )
                : '';
            ?>
            <span class="wcsf-field-name"><?php
                echo wp_kses_post($field->name);

                if (isset($field->count)) {
                    echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                }
                ?></span>
        </label>
    </figure>
    <?php
}
?>
