<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;

$arguments = Core::getTemplatePartArgs([
    'question' => null,
    'fields' => [],
    'currentValue' => []
]);
?>
<ul class="wcsf-fields-list is-multi-choice-checkbox form-group">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="wcsf-field is-multi-choice-checkbox<?php
            echo esc_attr(' is-value-' . str_replace(' ', '-', $field->value) . ($field->disabled ? ' disabled' : ''));
            ?>">
            <span class="wcsf-field-label"><?php
                echo wp_kses_post($field->name);

                if (isset($field->count)) {
                    echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                }
                ?></span>
            <div class="wcsf-field-value">
                <?php foreach ($arguments['question']->multiChoiceValues as $possibleValue) { ?>
                    <?php
                    $name = "value[{$arguments['question']->id}][$field->value]";
                    $inputId = "wcsf-field-input-{$arguments['question']->id}-$field->value-$possibleValue[key]";
                    $isChecked = isset($field->currentValue[$field->value])
                        && $field->currentValue[$field->value] == $possibleValue['value']
                        || $possibleValue['value'] == reset($arguments['question']->multiChoiceValues)['value'];
                    ?>
                    <input type="radio"
                        class="wcsf-field-input is-<?php echo esc_attr($possibleValue['key']); ?>"
                        id="<?php echo esc_attr($inputId); ?>"
                        name="<?php echo esc_attr($name); ?>"
                        data-component="<?php echo esc_attr($field->component); ?>"
                        value="<?php echo esc_attr($possibleValue['value']); ?>"<?php
                        echo $isChecked ? ' checked ' : '';
                        ?>>
                <?php } ?>
                <span class="wcsf-field-icon"></span>
                <?php foreach ($arguments['question']->multiChoiceValues as $key => $possibleValue) { ?>
                    <?php
                    $inputId = "wcsf-field-input-{$arguments['question']->id}-$field->value-";

                    if (isset($arguments['question']->multiChoiceValues[$key + 1])) {
                        $inputId .= $arguments['question']->multiChoiceValues[$key + 1]['key'];
                    } else {
                        $inputId .= reset($arguments['question']->multiChoiceValues)['key'];
                    }
                    ?>
                    <label class="wcsf-field-name is-<?php echo esc_attr($possibleValue['key']); ?>"
                        for="<?php echo esc_attr($inputId); ?>"><?php
                        echo wp_kses_post($possibleValue['label']);
                        ?></label>
                <?php } ?>
            </div>
        </li>
    <?php } ?>
</ul>
