<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Filter;
use \WCStepFilter\Question;
use \WCStepFilter\Core;

$arguments = Core::getTemplatePartArgs([
    'question' => null,
    'fields' => [],
    'showPreliminaryResultsCount' => Filter::getSetting($id, 'show_preliminary_results_count')
]);

$component = 'wcsf-field-input';
$actionOnClick = Question::getSetting($arguments['question']->id, 'action_on_click');

if ($actionOnClick == 'submit-and-go-next') {
    $component .= ' wcsf-submit-and-go-next';
} elseif ($actionOnClick == 'submit') {
    $component .= ' wcsf-submit';
} elseif ($arguments['showPreliminaryResultsCount']) {
    $component .= ' wcsf-get-preliminary-results-count';
}
?>
<div class="wcsf-field is-select form-group">
    <div class="input-group">
        <span class="input-group-addon input-group-prepend">
            <label for="wcsf-field-<?php echo esc_attr($arguments['question']->id); ?>"
                class="wcsf-field-label input-group-text"><?php
                echo wp_kses_post($arguments['question']->name);
                ?></label>
        </span>
        <select name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
            id="wcsf-field-<?php echo esc_attr($arguments['question']->id); ?>"
            class="form-control wcsf-field-input"
            data-component="<?php echo esc_attr($component); ?>"
            required>
            <?php foreach ($arguments['fields'] as $field) { ?>
                <option value="<?php echo esc_attr($field->value); ?>"<?php
                echo $field->checked ? ' selected ' : '';
                echo $field->disabled ? ' disabled ' : '';
                ?>><?php
                    echo esc_html($field->name);

                    if (isset($field->count)) {
                        echo ' (' . esc_html($field->count) . ')';
                    }
                    ?></option>
            <?php } ?>
        </select>
    </div>
</div>
