<?php
defined('ABSPATH') || exit;

$arguments = \WCStepFilter\Core::getTemplatePartArgs(['navItems' => []]);
?>
<nav class="wcsf-nav is-tabs">
    <ul class="wcsf-nav-list is-tabs nav nav-tabs" role="tablist">
        <?php foreach ($arguments['navItems'] as $navItem) { ?>
            <li role="presentation"
                class="wcsf-nav-list-item nav-item <?php echo esc_attr($navItem['class']); ?>">
                <button class="wcsf-nav-list-item-button nav-link <?php echo esc_attr($navItem['class']); ?>"
                    type="<?php echo esc_attr($navItem['type']); ?>"
                    name="stepId"
                    value="<?php echo esc_attr($navItem['id']); ?>"
                    data-component="<?php echo esc_attr($navItem['component']); ?>"
                    data-id="<?php echo esc_attr($navItem['id']); ?>"<?php
                    echo $navItem['disabled'] ? ' disabled ' : '';
                    ?>><?php
                    echo $navItem['thumbnail']
                        ? wp_get_attachment_image(
                            $navItem['thumbnail'],
                            'thumbnail',
                            false,
                            ['class' => 'wcsf-nav-list-item-button-thumbnail']
                        ) . ' '
                        : '';
                    ?><span class="wcsf-nav-list-item-button-inner"><?php
                        echo wp_kses_post($navItem['name']);
                        ?></span></button>
            </li>
        <?php } ?>
    </ul>
</nav>
