<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Filter;
use \WCStepFilter\Core;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

$arguments = Core::getTemplatePartArgs([
    'backButtonText' => Filter::getSetting($id, 'shop_back_button_text'),
    'backButtonClass' => Filter::getSetting($id, 'shop_back_button_class'),
    'backButtonLink' => Filter::getSetting($id, 'shop_back_button_url')
]);
?>
<a class="btn wcsf-control is-shop-back wcsf-shop-back <?php echo esc_attr($arguments['backButtonClass']); ?>"
    href="<?php echo esc_url($arguments['backButtonLink']); ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['backButtonText']); ?>
        <!--spacer-->
    </span></a><!--spacer-->
