<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;
use \WCStepFilter\Filter;

$id = isset($id) ? $id : null;

if (!$id) {
    return;
}

$arguments = Core::getTemplatePartArgs([
    'resetButtonLink' => Filter::getSetting($id, 'results_url'),
    'enableShopValue' => Filter::getSetting($id, 'enable_shop_value'),
    'enableShopResetButton' => Filter::getSetting($id, 'enable_shop_reset_button'),
    'enableShopBackButton' => Filter::getSetting($id, 'enable_shop_back_button'),
    'enableShopRepeatButton' => Filter::getSetting($id, 'enable_shop_repeat_button'),
    'repeatButtonLink' => isset($_GET['wcsf-referer']) && $_GET['wcsf-referer']
        ? $_GET['wcsf-referer']
        : Filter::getSetting($id, 'shop_repeat_button_url'),
    'backButtonLink' => isset($_GET['wcsf-referer']) && $_GET['wcsf-referer']
        ? str_replace("wcsf-reset-state=$id", '', $_GET['wcsf-referer'])
        : Filter::getSetting($id, 'shop_back_button_url')
]);

if ($arguments['resetButtonLink'] == '#' || !isset($_GET['wcsf-results'])) {
    // don't show for the page with the filter or if there is no filter query
    return;
}
?>
<div class="wcsf wcsf-shop-controls">
    <?php
    if ($arguments['enableShopValue']) {
        Core::getTemplatePart('shop-controls/value', $arguments);
    }
    ?>
    <div class="wcsf-shop-controls-inner">
        <?php
        if ($arguments['backButtonLink'] && $arguments['enableShopBackButton']) {
            Core::getTemplatePart('shop-controls/back', $arguments);
        }

        if ($arguments['repeatButtonLink'] && $arguments['enableShopRepeatButton']) {
            Core::getTemplatePart('shop-controls/repeat', $arguments);
        }

        if ($arguments['enableShopResetButton']) {
            Core::getTemplatePart('shop-controls/reset', $arguments);
        }
        ?>
    </div>
</div>
