<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Filter;
use \WCStepFilter\Core;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

$arguments = Core::getTemplatePartArgs([
    'repeatButtonText' => Filter::getSetting($id, 'shop_repeat_button_text'),
    'repeatButtonClass' => Filter::getSetting($id, 'shop_repeat_button_class'),
    'repeatButtonLink' => Filter::getSetting($id, 'shop_repeat_button_url')
]);

if (!$arguments['repeatButtonLink']) {
    $arguments['repeatButtonLink'] = $_GET['wcsf-referer'];
}

$arguments['repeatButtonLink'] = Filter::getShopRepeatUrl($id, $arguments['repeatButtonLink']);
?>
<a class="btn wcsf-control is-shop-repeat wcsf-shop-repeat <?php echo esc_attr($arguments['repeatButtonClass']); ?>"
    href="<?php echo esc_url($arguments['repeatButtonLink']); ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['repeatButtonText']); ?>
        <!--spacer-->
    </span></a><!--spacer-->
