<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;
use \WCStepFilter\Filter;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

$arguments = Core::getTemplatePartArgs([
    'valueList' => Filter::getValueList($id)
]);

if (empty($arguments['valueList'])) {
    return;
}
?>
<ul class="wcsf-value">
    <?php foreach ($arguments['valueList'] as $item) { ?>
        <li class="wcsf-value-item">
            <span class="wcsf-value-item-check"></span>
            <!--spacer-->
            <span class="wcsf-value-item-name"><?php echo wp_kses_post($item->name); ?></span>
            <!--spacer-->
            <span class="wcsf-value-item-value"><?php echo wp_kses_post($item->value); ?></span>
        </li>
    <?php } ?>
</ul>
