<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Core;
use \WCStepFilter\Question;

$arguments = Core::getTemplatePartArgs([
    'id' => null,
    'step' => null
]);

\WCStepFilter\Instance()->currentQuestionId = $arguments['step']->id;
?>
<article class="wcsf-step is-step-<?php echo esc_attr($arguments['step']->id); ?>">
    <?php
    foreach (\WCStepFilter\Instance()->filter->getNotices($arguments['step']->id) as $notice) {
        Core::getTemplatePart('message', array_replace($arguments, $notice));
    }

    Core::getTemplatePart(
        'description',
        array_replace($arguments, ['description' => $arguments['step']->description])
    );

    if (property_exists($arguments['step'], 'children')) {
        echo '<fieldset class="wcsf-step-fields">';

        foreach ($arguments['step']->children as $question) {
            foreach (\WCStepFilter\Instance()->filter->getNotices($question->id) as $notice) {
                Core::getTemplatePart('message', array_replace($arguments, $notice));
            }

            $childArguments = array_replace(
                $arguments,
                [
                    'question' => $question,
                    'description' => $question->description,
                    'fields' => Question::getFields($id, $question->id)
                ]
            );

            \WCStepFilter\Instance()->currentQuestionId = $childArguments['question']->id;

            echo '<section class="wcsf-step-field is-question-' . esc_attr($question->id) . '">';

            Core::getTemplatePart('description', $childArguments);
            Core::getTemplatePart('fields/index', $childArguments);

            echo '</section>';
        }

        echo '</fieldset>';
    } else {
        Core::getTemplatePart(
            'fields/index',
            array_replace(
                $arguments,
                [
                    'question' => $arguments['step'],
                    'fields' => Question::getFields($id, $arguments['step']->id)
                ]
            )
        );
    }
    ?>
</article>
