<?php
/**
 * Plugin Name: WooCommerce Step Filter
 * Description: Powerful and flexible plugin for creating step-by-step products filter
 * Version: 7.11.1
 * Author: پرشین اسکریپت
 * Author URI: www.persianscript.ir
 * Text Domain: woocommerce-step-filter
 * Domain Path: /languages/
 * Requires at least: 4.5
 * Requires PHP: 5.5
 * WC requires at least: 2.4
 * WC tested up to: 5.2.2
 */

namespace {

    $uploadDir = wp_upload_dir();

    if (!defined('WC_STEP_FILTER_VERSION')) {
        define('WC_STEP_FILTER_VERSION', '7.11.1');
    }

    if (!defined('WC_STEP_FILTER_PLUGIN_PATH')) {
        define('WC_STEP_FILTER_PLUGIN_PATH', plugin_dir_path(__FILE__));
    }

    if (!defined('WC_STEP_FILTER_PLUGIN_URL')) {
        define('WC_STEP_FILTER_PLUGIN_URL', plugin_dir_url(__FILE__));
    }

    if (!defined('WC_STEP_FILTER_THEME_TEMPLATES_DIR')) {
        define('WC_STEP_FILTER_THEME_TEMPLATES_DIR', 'woocommerce-step-filter');
    }

    if (!defined('WC_STEP_FILTER_DEBUG')) {
        if (defined('SCRIPT_DEBUG')) {
            define('WC_STEP_FILTER_DEBUG', SCRIPT_DEBUG);
        } else {
            define('WC_STEP_FILTER_DEBUG', false);
        }
    }

    if (!defined('WC_STEP_FILTER_UPLOADS_PATH')) {
        define(
            'WC_STEP_FILTER_UPLOADS_PATH',
            $uploadDir['basedir'] . DIRECTORY_SEPARATOR . 'woocommerce-step-filter' . DIRECTORY_SEPARATOR
        );
    }

    if (!defined('WC_STEP_FILTER_UPLOADS_URL')) {
        define(
            'WC_STEP_FILTER_UPLOADS_URL',
            $uploadDir['baseurl'] . DIRECTORY_SEPARATOR . 'woocommerce-step-filter' . DIRECTORY_SEPARATOR
        );
    }

    if (!class_exists('\WCStepFilter\Core')) {
        require_once('includes/classes/Core.php');
    }

    require_once('includes/global/shortcodes.php');
}

namespace WCStepFilter {

    if (!function_exists(__NAMESPACE__  . '\Instance')) {
        function Instance()
        {
            return Core::instance();
        }
    } else {
        add_filter('admin_notices', function () {
            ?>
            <div class="notice notice-warning is-dismissible">
                <p><strong><?php L10N::e('WooCommerce Step Filter is enabled a few times'); ?></strong></p>
                <p><?php
                    // phpcs:disable
                    L10N::e('A few WooCommerce Step Filter plugins are enabled at once. Keep enabled only one of them.');
                    // phpcs:enable
                    ?></p>
            </div>
            <?php
        });
    }

    $GLOBALS['WCStepFilter'] = Instance();
}
